@echo off
echo :
echo :
echo :
echo :
echo : Setup BAT file for CIRCAD BBS DEMO Version 3.68, 3/15/95.
echo :
echo :
echo :
echo : Function    Function 
echo :  Number    Description
echo :
echo :    1       Set VGA 640x480 video mode.
echo :    2       Set VGA 800x600 video mode.
echo :    3       Set VGA 1024x768 video mode.
echo :    4       Set EGA 640x350 video mode.
echo :
echo :    0       Continue with existing video setup.
echo :
echo :
echo : Select video/monitor type.
echo :
echo :
echo :
echo :

:loop1
kbchar
if errorlevel 53 goto loop1
if errorlevel 52 goto EGA640
if errorlevel 51 goto VGA1024
if errorlevel 50 goto VGA800
if errorlevel 49 goto VGA640
if errorlevel 48 goto loop2
goto loop1

:vga640
copy circad.vga circad.vid >nul
echo .
echo . 640x480 VGA mode established.
echo .
goto loop2

:vga800
copy circad.vgm circad.vid >nul
echo .
echo . 800x600 VGA mode established.
echo .
goto loop2

:vga1024
copy circad.vgh circad.vid >nul
echo .
echo . 1024x768 VGA mode established.
echo .
goto loop2

:ega640
copy circad.ega circad.vid >nul
echo .
echo . 640x350 EGA mode established.
echo .

:loop2
echo :
echo :
echo :
echo : Function    Function 
echo :  Number    Description
echo :
echo :    1       Plot to serial pen plotter using HPGL language.
echo :    2       Plot to serial pen plotter using DMPL language.
echo :    3       Plot to parallel 150dpi laser printer using PCL language.
echo :    4       Plot to parallel 300dpi laser printer using PCL language.
echo :    5       Plot to parallel 600dpi laser printer using PCL language.
echo :    6       Plot to parallel 300dpi color ink-jet printer using PCL language.
echo :    7       Plot to parallel 24-pin printer using Epson codes.
echo :    8       Plot to parallel 9-PIN printer using Epson codes.
echo :
echo :    0       Continue with existing printer/plotter setup.
echo :
echo :
echo : Select plotter/printer type.
echo :
echo :
echo :

:loop3
kbchar

if errorlevel 57 goto loop3
if errorlevel 56 goto PIN9
if errorlevel 55 goto PIN24
if errorlevel 54 goto PCLCMY
if errorlevel 53 goto PCL600
if errorlevel 52 goto PCL300
if errorlevel 51 goto PCL150
if errorlevel 50 goto DMPL
if errorlevel 49 goto HPGL
if errorlevel 48 goto loop4
goto loop3

:hpgl
copy circad.sph circad.spp >nul
echo .
echo . HPGL plotter codes installed.
echo .
goto loop4

:dmpl
copy circad.spd circad.spp >nul
echo .
echo . DMPL plotter codes installed.
echo .
goto loop4

:pcl150
copy circad.spm circad.spp >nul
echo .
echo . LaserJet 150dpi PCL printer codes installed.
echo .
goto loop4

:pcl300
copy circad.spj circad.spp >nul
echo .
echo . LaserJet 300dpi PCL printer codes installed.
echo .
goto loop4

:pcl600
copy circad.spl circad.spp >nul
echo .
echo . LaserJet 600dpi PCL printer codes installed.
echo .
goto loop4

:pclcmy
copy circad.spc circad.spp >nul
echo .
echo . DeskJet CMY 300dpi PCL printer codes installed.
echo .
goto loop4

:pin24
copy circad.spt circad.spp >nul
echo .
echo . Epson 24-pin printer codes installed.
echo .
goto loop4

:pin9
copy circad.spe circad.spp >nul
echo .
echo . Epson 9-pin printer codes installed.
echo .
goto loop4

:loop4
echo :
echo :
echo :
echo :
echo :
echo : Function    Function 
echo :  Number    Description
echo :
echo :    1       Run a short automatic demo procedure.
echo :    2       Invoke the demo program for normal operation.
echo :
echo :    0       Exit and return to DOS.
echo :
echo :
echo : Enter desired function number.
echo :
echo :
echo :
echo :
echo :
echo :
echo :

:loop5
kbchar
if errorlevel 51 goto loop5
if errorlevel 50 goto CIRCAD
if errorlevel 49 goto DEMORUN
if errorlevel 48 goto loop6
goto loop5

:demorun
if exist demo.* erase demo.*
circad -q0 -urun
if exist demo.* erase demo.*
goto loop4

:circad
circad
goto loop4

:loop6
echo :
echo :
echo :
echo : CIRCAD is available for $995.00 (including postage and handling) from:
echo :
echo : Holophase Incorporated                       Sales:  1-305-584-0010
echo : 6191 Orange Drive, Suite 6163-G              Tech:   1-305-584-5123
echo : Davie, Florida  33314                        Fax:    1-305-584-5972
echo :                                              BBS:    1-305-584-7089
echo :
echo : Visa and Master Card accepted.
echo :
echo : American Express welcome.
echo :
echo :
echo :
echo :
echo :
echo : Type `SETUP' to modify the setup parameters.
echo :
echo : Type `DEMORUN' to run a short automatic demo procedure.
echo :
echo : Type `CIRCAD' to invoke the demo program for normal operation.
echo :
echo :
echo :
